<?php
/*
Plugin Name: Floating Product Category for WooCommerce
Plugin URI: http://userelements.com/floating-woocommerce-category
Description: Floating Product Category for WooCommerce is a plugin to display WooCommerce Categories. With floating category sidebar users can access WooCommerce product categories from anywhere on your site.
Version: 1.0
Author: userelements
Author URI: http://userelements.com/
Text Domain: float-product-cat
Domain Path: /languages
*/
/*
if ( ! class_exists( 'WooCommerce' ) ) {
	return;
}
*/
require_once 'view/product-cat.view.php';
require_once 'includes/floating-customizer.php';
require_once 'includes/floating-customizer-styles.php';

add_action('customize_register', 'fpcw_product_customize_register');
add_action( 'wp_head', 'fpcw_cat_product_customizer_css');
add_action('wp_footer', 'fpcw_product_cat_woo_float');

// Instantiate
new FPCW_Cat_Main();

class FPCW_Cat_Main {

	public function __construct() {
		add_action( 'init', array( $this, 'register_script' ) );
		add_action( 'wp_enqueue_scripts', array( $this, 'enqueue_style' ) );
	}

	public function register_script(){
    	wp_register_script( 'atomic_float_cat_script', plugins_url('/assets/js/script.js', __FILE__), '0.1' );
    	wp_register_style( 'atomic_float_cat_style', plugins_url('/assets/css/appbar.css', __FILE__), false, '1.0.0', 'all');
	}

	public function enqueue_style(){
   		wp_enqueue_script('atomic_float_cat_script');
  	 	wp_enqueue_style( 'atomic_float_cat_style' );		
	}
}
