<?php
if ( ! function_exists( 'fpcw_cat_product_customizer_css' ) ) {
    function fpcw_cat_product_customizer_css(){
    	$design_css = get_option( 'float_cat_style_options');
        ?>
             <style type="text/css">
                .product-category-sticky::-webkit-scrollbar,
                .product-category-sticky { 
                 	background-color: <?php echo esc_attr($design_css['bg_float_color']); ?>;
                }

                .atomic-category__heading{
                    color: <?php echo esc_attr($design_css['text_float_color_heading']); ?>;
                } 

                .atomic-category__list__name,
                .atomic-category__list__count,
                .layout-card--image-title,
                .atomic-category__list__link{ 
                    color: <?php echo esc_attr($design_css['text_float_color']); ?>;
                }

                .product-category-sticky::-webkit-scrollbar-thumb,
                .layout-card--image{
                 	background-color: <?php echo esc_attr($design_css['bg_cat_color']); ?>;
                }

                .float-cat-close-btn,
                .float-cat-close-btn:hover,
                .button-toggle-woo-category,
                .button-toggle-woo-category:hover{
                    background-color: <?php echo esc_attr($design_css['bg_cat_btn_color']); ?>;
                    color: <?php echo esc_attr($design_css['text_float_btn_color']); ?>;
                }         
             </style>
        <?php
    }
}


add_action('init', 'fpcw_float_cat_settings_default');
if ( ! function_exists( 'fpcw_float_cat_settings_default' ) ) {
    function fpcw_float_cat_settings_default(){
        $default = array(
            'bg_float_color'            => '#042925',
            'text_float_color_heading'  => '#ffffff',
            'text_float_color'          => '#042925',
            'bg_cat_color'              => '#ffffff',
            'bg_cat_btn_color'          => '#ede176',
            'text_float_btn_color'      => '#042925',  
            'product_count'             => true,
            'cat_layout'                => 'layout_basic', 
            'float_position'            => 'layout_left',                               
        );

        $options = get_option( 'float_cat_style_options', $default );
        $options = wp_parse_args( $options, $default );

        return $options;
    }
}