<?php

if ( ! function_exists( 'fpcw_product_customize_register' ) ) {
    function fpcw_product_customize_register($wp_customize){
         
        $wp_customize->add_section('float_cat_color_scheme', array(
            'title'    		=> __('Floating Product Category', 'float-product-cat'),
            'description' 	=> '',
            'priority' 		=> 120,
        ));

        //  =============================
        //  = Background Color =
        //  =============================
            $wp_customize->add_setting('float_cat_style_options[bg_float_color]', array(
                'default'           => '#042925',
                'sanitize_callback' => 'sanitize_hex_color',
                'capability'        => 'edit_theme_options',
                'type'           	=> 'option',
          
            ));
          
            $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'bg_float_color', array(
                'label'    => __('Background Color', 'float-product-cat'),
                'section'  => 'float_cat_color_scheme',
                'settings' => 'float_cat_style_options[bg_float_color]',
            )));

        //  =============================
        //  = Heading Text Color =
        //  =============================
            $wp_customize->add_setting('float_cat_style_options[text_float_color_heading]', array(
                'default'           => '#ffffff',
                'sanitize_callback' => 'sanitize_hex_color',
                'capability'        => 'edit_theme_options',
                'type'              => 'option',
          
            ));
          
            $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'text_float_color_heading', array(
                'label'    => __('Heading Text Color', 'float-product-cat'),
                'section'  => 'float_cat_color_scheme',
                'settings' => 'float_cat_style_options[text_float_color_heading]',
            )));        

        //  =============================
        //  = Text Color =
        //  =============================
            $wp_customize->add_setting('float_cat_style_options[text_float_color]', array(
                'default'           => '#042925',
                'sanitize_callback' => 'sanitize_hex_color',
                'capability'        => 'edit_theme_options',
                'type'           	=> 'option',
          
            ));
          
            $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'text_float_color', array(
                'label'    => __('Text Color', 'float-product-cat'),
                'section'  => 'float_cat_color_scheme',
                'settings' => 'float_cat_style_options[text_float_color]',
            )));

        //  =============================
        //  = Background Color =
        //  =============================
        $wp_customize->add_setting('float_cat_style_options[bg_cat_color]', array(
            'default'           => '#ffffff',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability'        => 'edit_theme_options',
            'type'           	=> 'option',
      
        ));
      
        $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'bg_cat_color', array(
            'label'    => __('Category Background Color', 'float-product-cat'),
            'section'  => 'float_cat_color_scheme',
            'settings' => 'float_cat_style_options[bg_cat_color]',
        )));


        //  =============================
        //  = Button Background Color =
        //  =============================
        $wp_customize->add_setting('float_cat_style_options[bg_cat_btn_color]', array(
            'default'           => '#ede176',
            'sanitize_callback' => 'sanitize_hex_color',
            'capability'        => 'edit_theme_options',
            'type'              => 'option',
      
        ));
      
        $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'bg_cat_btn_color', array(
            'label'    => __('Button Color', 'float-product-cat'),
            'section'  => 'float_cat_color_scheme',
            'settings' => 'float_cat_style_options[bg_cat_btn_color]',
        )));

        //  =============================
        //  = Button Text Color =
        //  =============================
            $wp_customize->add_setting('float_cat_style_options[text_float_btn_color]', array(
                'default'           => '#042925',
                'sanitize_callback' => 'sanitize_hex_color',
                'capability'        => 'edit_theme_options',
                'type'              => 'option',
          
            ));
          
            $wp_customize->add_control( new WP_Customize_Color_Control($wp_customize, 'text_float_btn_color', array(
                'label'    => __('Button Text Color', 'float-product-cat'),
                'section'  => 'float_cat_color_scheme',
                'settings' => 'float_cat_style_options[text_float_btn_color]',
            )));    

        //  =============================
        //  = Product Count =
        //  =============================
        $wp_customize->add_setting( 'float_cat_style_options[product_count]', array(
            'default' 			=> true,
            'capability'        => 'edit_theme_options',
            'type'           	=> 'option',
        ));
     

        $wp_customize->add_control( 'float_cat_style_options[product_count]', array(
            'label' 		=> __('Display Product Count', 'float-product-cat'),
            'type'  		=> 'checkbox', // this indicates the type of control
            'section' 		=> 'float_cat_color_scheme',
            'settings' 		=> 'float_cat_style_options[product_count]'
        ));

        //  =============================
        //  = Layout Selector =
        //  =============================
    	$wp_customize->add_setting( 'float_cat_style_options[cat_layout]', array(
    	  	'capability' 			=> 'edit_theme_options',
    	  	'default' 				=> 'layout_basic',
    	  	'type'           		=> 'option',
    	) );

    	$wp_customize->add_control( 'float_cat_style_options[cat_layout]', array(
    		  'type' 			=> 'select',
    		  'section' 		=> 'float_cat_color_scheme',
    		  'label' 			=> __('Layout', 'float-product-cat'),
    		  'settings' 		=> 'float_cat_style_options[cat_layout]',
    		  'choices' => array(
    		    'layout_basic' => __( 'Basic', 'float-product-cat'),
    		    'layout_image' => __( 'Category with Image' ),
    		  ),
    	));    


        //  =============================
        //  = Float Position =
        //  =============================
    	$wp_customize->add_setting( 'float_cat_style_options[float_position]', array(
    	  	'capability' 			=> 'edit_theme_options',
    	  	'default' 				=> 'layout_left',
    	  	'type'           		=> 'option',
    	) );

    	$wp_customize->add_control( 'float_cat_style_options[float_position]', array(
    		  'type' 			=> 'select',
    		  'section' 		=> 'float_cat_color_scheme',
    		  'label' 			=> __('Float Position', 'float-product-cat'),
    		  'settings' 		=> 'float_cat_style_options[float_position]',
    		  'choices' => array(
    		    'layout_left' => __( 'Left', 'float-product-cat'),
    		    'layout_right' => __( 'Right', 'float-product-cat'),
    		  ),
    	)); 

    }
}